"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _os = _interopRequireDefault(require("os"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const DEFAULT_LOCAL_HOST = '127.0.0.1';
/**
 * @export
 * @class ServerIPResolverService
 */

class ServerIPResolverService {
  /**
   * @static
   * @returns {string} ip
   * 
   * @memberOf ServerIPResolverService
   */
  static getIp() {
    let networkInterfaces = _os.default.networkInterfaces();

    let values = Object.keys(networkInterfaces).map(key => networkInterfaces[key]).filter(function (ip) {
      return ip.family == 'IPv4' && ip.internal == false;
    });
    return values.length ? values[0].address : DEFAULT_LOCAL_HOST;
  }

}

exports.default = ServerIPResolverService;